/* Global Variables */
:root {
    --font-size-13xl: 40px;
    --font-size-3xs: 12px;
    --font-size-sm: 16px;
    --font-size-xs: 14px;
    --font-size-4xs: 10px;
    --padding-3xs: 8px;
    --padding-6xs: 4px;
    --padding-8xs: 2px;
    --padding-10xs: 1px;
    --padding-xl: 20px;
    --br-3xs: 5px;
    --color-black: #000000;
    --color-white: #ffffff;
    --color-rosybrown: #bc8f8f;
    --color-gray: #f5f5f5;
    --color-muted: #b0b0b0;
    --font-poppins: 'Poppins', sans-serif;
  }
  
  /* Base Styles */
  body {
    margin: 0;
    font-family: var(--font-poppins);
  }
  
  .sign-up {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: #212529;
    color: var(--color-black);
    font-size: var(--font-size-sm);
    box-sizing: border-box;
  }

.sign-up-inner {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 87px;
    background-color: #212529;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: var(--br-3xs);
    box-sizing: border-box;
    color: #f5f5f5;
    margin-right: 70px;
    width: 625px;
}
  
  .container-parent {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }
  
  .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
  
  .get-started-now {
    margin: 0;
    font-size: var(--font-size-13xl);
    font-weight: 500;
  }
  
  .enter-your-details {
    font-size: var(--font-size-sm);
    color: var(--color-black);
  }
  
  .details-input {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }
  
  .details-fields {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }
  
  
  
  .name1 {
    font-size: var(--font-size-sm);
    font-weight: 500;
    color: var(--color-black);
    margin-bottom: 8px;
  }
  
  .details-input-pair {
    display: flex;
    align-items: center;
    border: 1px solid var(--color-muted);
    border-radius: var(--br-3xs);
    /*overflow: hidden;*/
    padding: var(--padding-6xs);
  }
  
  .inner-details-input-pair {
    width: 100%;
    border: none;
    outline: none;
    background-color: transparent;
    font-family: var(--font-poppins);
    font-weight: 500;
    color: white;
  }
  
  .inner-details-input-pair::placeholder {
    color: var(--color-muted);
  }
  
  .agreement-check-parent {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 6px;
  }
  
  .checkbox {
    width: 10px;
    height: 10px;
    border-radius: 2px;
    border: 1px solid var(--color-black);
  }
  
  .i-agree-to-container {
    font-size: var(--font-size-xs);
    font-weight: 500;
    color: white;
  }
  
  .terms-policy {
    text-decoration: underline;
    color: #B19777;
  }
  
  .signup-button {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    background-color: #B19777;
    border: 1px solid #ffffff;
    border-radius: var(--br-3xs);
    padding: var(--padding-6xs) var(--padding-xl);
    cursor: pointer;
  }
  
  .signup {
    font-size: 13px;
    font-family: var(--font-poppins);
    color: var(--color-white);
    border: none;
    background: #B19777;
  }
  
  .have-an-account-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: var(--padding-6xs);
  }
  
  .have-an-account {
    font-size: var(--font-size-xs);
  }
  
  .sign-in {
    font-size: var(--font-size-xs);
    font-weight: 500;
    color: #B19777;
    text-decoration: underline;
  }
  

  .image-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    width: 50%;
    height: 100%;
    position: relative; /* Add this line */
  }
  
  
  .text-overlay {
    position: absolute;
    top: 20%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: left;
    color: white;
    width:500px;
  }
  
  .overlay-heading {
    
    font-weight: 700;
  }
  
  .overlay-description {
    font-size: 18px;
    font-weight: 500;
  }
  
  
  .image-container img {
    width: 100%;
    border-top-right-radius: 169px;
    border-bottom-right-radius: 169px;
    height: 100%;
    margin-top: -20px;
  }
  
  @media (max-width: 768px) {
    .sign-up {
      flex-direction: column;
      padding: 20px;
      
    }
  
    .sign-up-inner {
      width: 100%;
      padding: 20px;
      margin-right: 10px;
    }
  
    .details-input-pair, .google-login, .apple-login {
      padding: var(--padding-8xs);
    }
  
    .signup-button {
      padding: var(--padding-3xs) var(--padding-xl);
    }
  
    .image-container {
      order: -1;
      width: 100%;
      margin-bottom: 20px;
    }
  
    .image-container img {
      height: 700px;
    }
  }
  
  .separator {
    display: flex;
    flex-direction: row;
    align-items: center;
   /* gap: 10px;*/
  }
  
  .horizontal-rule {
    flex: 1;
    border-top: 2px solid var(--color-gray);
    position: relative;
  }
  
  .or-label-container {
    /*position: absolute;*/
    top: 2px;
    left: 190px;
    background-color: var(--color-white);
    width: 20px;
    overflow: hidden;
   /* display: flex;
    flex-direction: row;
    align-items: flex-start;*/
    justify-content: flex-start;
    padding: 0 4px;
    box-sizing: border-box;
    z-index: 1;
    height: 12px;

  }
  
  .or {
    font-weight: 500;
    color:white;;
  }
  
  .social-login {
    display: flex;
   justify-content: space-around;

    gap: 20px;
    align-items: center;
  }
  
  .google-login{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: var(--padding-3xs);
    border: 1px solid var(--color-muted);
    border-radius: var(--br-3xs);
   color:white;
    background-color: #272727;
    cursor: pointer;
  }
  
  .google-login img {
    width: 20px;
    height: 20px;
  }
  ::selection {
    background: #ffffff; /* Background color when text is selected */
    color: #272727;      /* Text color when selected */
  }
  
  ::-moz-selection {
    background: #ffffff;
    color: #272727;
  }